summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFabian Groffen <grobian@gentoo.org>2016-01-09 19:53:19 +0100
committerFabian Groffen <grobian@gentoo.org>2016-01-09 19:54:07 +0100
commitc5a7da31d5e2b764a099a60b4c2c4605a00c689c (patch)
tree34fc5f048a2ba4f0b74d8f7b496d8048022627e9 /sys-devel/llvm
parentx11-misc/dmenu: add ~arm, bug #570394 (diff)
downloadgentoo-c5a7da31d5e2b764a099a60b4c2c4605a00c689c.tar.gz
gentoo-c5a7da31d5e2b764a099a60b4c2c4605a00c689c.tar.bz2
gentoo-c5a7da31d5e2b764a099a60b4c2c4605a00c689c.zip
sys-devel/llvm: disable the use of xcrun on OSX, bug #568758
Package-Manager: portage-2.2.20-prefix
Diffstat (limited to 'sys-devel/llvm')
-rw-r--r--sys-devel/llvm/llvm-3.5.2.ebuild3
-rw-r--r--sys-devel/llvm/llvm-3.6.2.ebuild3
-rw-r--r--sys-devel/llvm/llvm-3.7.1.ebuild3
-rw-r--r--sys-devel/llvm/llvm-9999.ebuild3
4 files changed, 12 insertions, 0 deletions
diff --git a/sys-devel/llvm/llvm-3.5.2.ebuild b/sys-devel/llvm/llvm-3.5.2.ebuild
index 8a8c32c9f78..f6bb2c37914 100644
--- a/sys-devel/llvm/llvm-3.5.2.ebuild
+++ b/sys-devel/llvm/llvm-3.5.2.ebuild
@@ -165,6 +165,9 @@ src_prepare() {
projects/compiler-rt/make/platform/clang_*.mk || die
fi
+ # disable use of SDK on OSX, bug #568758
+ sed -i -e 's/xcrun/false/' utils/lit/lit/util.py || die
+
local sub_files=(
Makefile.config.in
Makefile.rules
diff --git a/sys-devel/llvm/llvm-3.6.2.ebuild b/sys-devel/llvm/llvm-3.6.2.ebuild
index 2e7bc9ad9b1..21f4f9df756 100644
--- a/sys-devel/llvm/llvm-3.6.2.ebuild
+++ b/sys-devel/llvm/llvm-3.6.2.ebuild
@@ -172,6 +172,9 @@ src_prepare() {
projects/compiler-rt/make/platform/clang_*.mk || die
fi
+ # disable use of SDK on OSX, bug #568758
+ sed -i -e 's/xcrun/false/' utils/lit/lit/util.py || die
+
local sub_files=(
Makefile.config.in
Makefile.rules
diff --git a/sys-devel/llvm/llvm-3.7.1.ebuild b/sys-devel/llvm/llvm-3.7.1.ebuild
index d41de0686b9..fa15adf29fa 100644
--- a/sys-devel/llvm/llvm-3.7.1.ebuild
+++ b/sys-devel/llvm/llvm-3.7.1.ebuild
@@ -173,6 +173,9 @@ src_prepare() {
# Fix msan with newer kernels, #569894
epatch "${FILESDIR}"/llvm-3.7-msan-fix.patch
+ # disable use of SDK on OSX, bug #568758
+ sed -i -e 's/xcrun/false/' utils/lit/lit/util.py || die
+
if use clang; then
# Automatically select active system GCC's libraries, bugs #406163 and #417913
epatch "${FILESDIR}"/clang-3.5-gentoo-runtime-gcc-detection-v3.patch
diff --git a/sys-devel/llvm/llvm-9999.ebuild b/sys-devel/llvm/llvm-9999.ebuild
index bf4286783fd..582064971ca 100644
--- a/sys-devel/llvm/llvm-9999.ebuild
+++ b/sys-devel/llvm/llvm-9999.ebuild
@@ -174,6 +174,9 @@ src_prepare() {
# https://bugs.gentoo.org/show_bug.cgi?id=565358
epatch "${FILESDIR}"/llvm-3.8-llvm-config.patch
+ # disable use of SDK on OSX, bug #568758
+ sed -i -e 's/xcrun/false/' utils/lit/lit/util.py || die
+
if use clang; then
# Automatically select active system GCC's libraries, bugs #406163 and #417913
epatch "${FILESDIR}"/clang-3.5-gentoo-runtime-gcc-detection-v3.patch